Skip to main content
POST
/
auth
/
organization
/
create-team
Create Organization Team
curl --request POST \
  --url https://cloud.kaneo.app/api/auth/organization/create-team \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "organizationId": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "organizationId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
name
string
required

The name of the team. Eg: "my-team"

organizationId
string | null

The organization ID which the team will be created in. Defaults to the active organization. Eg: "organization-id"

Response

Team created successfully

id
string
required

Unique identifier of the created team

name
string
required

Name of the team

organizationId
string
required

ID of the organization the team belongs to

createdAt
string<date-time>
required

Timestamp when the team was created

updatedAt
string<date-time>
required

Timestamp when the team was last updated